<?php
declare(strict_types=1);

use Migrations\AbstractMigration;

class CreateProductCatalogs extends AbstractMigration
{
    /**
     * Change Method.
     *
     * More information on this method is available here:
     * https://book.cakephp.org/phinx/0/en/migrations.html#the-change-method
     * @return void
     */
    public function change(): void
    {
        $table = $this->table('product_catalogs', ['id' => false, 'primary_key' => ['id']]);
        $table->addColumn('id', 'uuid', [
            'default' => null,
            'null' => false,
        ]);
        $table->addColumn('name', 'string', [
            'default' => null,
            'limit' => 255,
            'null' => false,
        ]);
        $table->addColumn('catalog_description', 'string', [
            'default' => null,
            'limit' => 255,
            'null' => true,
        ]);
        $table->addColumn('enabled', 'boolean', [
            'default' => null,
            'null' => false,
        ]);
        $table->addIndex([
            'name',
            ], [
            'name' => 'BY_NAME',
            'unique' => true,
        ]);
        $table->create();
    }
}
