<?php
declare(strict_types=1);

use Migrations\AbstractMigration;

class CreateProductCategories extends AbstractMigration
{
    /**
     * Change Method.
     *
     * More information on this method is available here:
     * https://book.cakephp.org/phinx/0/en/migrations.html#the-change-method
     * @return void
     */
    public function change(): void
    {
        $table = $this->table('product_categories');

        $table->addColumn('product_catalog_id', 'uuid', [
            'default' => null,
            'null' => false,
        ]);
        $table->addColumn('internal_id', 'uuid', [
            'default' => null,
            'null' => false,
        ]);
        $table->addColumn('name', 'string', [
            'default' => null,
            'limit' => 255,
            'null' => false,
        ]);
        $table->addColumn('category_description', 'text', [
            'default' => null,
            'null' => true,
        ]);
//        $table->addColumn('shopify_v1_id', 'integer', [
//            'default' => null,
//            'limit' => 11,
//            'null' => true,
//        ]);
//        $table->addColumn('shopify_v2_id', 'string', [
//            'default' => null,
//            'limit' => 255,
//            'null' => true,
//        ]);
        $table->addColumn('parent_id', 'integer', [
            'default' => null,
            'limit' => 11,
            'null' => true,
        ]);
        $table->addColumn('lft', 'integer', [
            'default' => null,
            'limit' => 11,
            'null' => false,
        ]);
        $table->addColumn('rght', 'integer', [
            'default' => null,
            'limit' => 11,
            'null' => false,
        ]);
        $table->addColumn('enabled', 'boolean', [
            'default' => false,
            'null' => false,
        ]);

        $table->addIndex('parent_id');
        $table->addIndex('lft');
        $table->addIndex('product_catalog_id');
        $table->addIndex([
            'product_catalog_id',
            'name',
        ], [
            'name' => 'BY_NAME_AND_CATALOG_ID',
            'unique' => true,
        ]);
        $table->create();
    }
}
