<?php
declare(strict_types=1);

use Migrations\AbstractMigration;

class CreateProductCategoryAttributeOptions extends AbstractMigration
{
    /**
     * Change Method.
     *
     * More information on this method is available here:
     * https://book.cakephp.org/phinx/0/en/migrations.html#the-change-method
     * @return void
     */
    public function change(): void
    {
        $table = $this->table('product_category_attribute_options', ['id' => false, 'primary_key' => ['id']]);
        $table->addColumn('id', 'uuid', [
            'default' => null,
            'null' => false,
        ]);
        $table->addColumn('product_category_attribute_id', 'uuid', [
            'default' => null,
            'null' => false,
        ]);
        $table->addColumn('attribute_value', 'string', [
            'default' => null,
            'limit' => 255,
            'null' => false,
        ]);
        $table->addColumn('attribute_label', 'string', [
            'default' => null,
            'limit' => 255,
            'null' => false,
        ]);
        $table->addColumn('enabled', 'boolean', [
            'default' => true,
            'null' => false,
        ]);
        $table->addIndex([
            'product_category_attribute_id',
            ], [
            'name' => 'BY_PRODUCT_CATEGORY_ATTRIBUTE_ID',
            'unique' => false,
        ]);
        $table->create();
    }
}
