<?php

// The following configs can be globally configured, copy the array content over to your ROOT/config

return [
	'CakeProducts' => [
        /**
         * internal CakeProducts settings - used in the source of truth/internal only system.
         * Can optionally manage external catalogs
         *
         * - syncExternally - defaults to false - product catalogs can have 1 or more external catalogs linked to them
         *                  which will receive changes to the catalogs and optionally allow for external API access.
         *                  Will have no effect if true but no external catalogs have been added or none are enabled
         */
        'internal' => [
            'enabled' => true,
            /**
             * syncExternally defaults to false - product catalogs can have 1 or more external catalogs linked to them
             * which will receive changes to the catalogs and optionally allow for external API access.
             * Will have no effect if true but no external catalogs have been added or none are enabled
             */
            'syncExternally' => false,
        ],
        'external' => [ // product catalog settings for external use (as an API server to power an ecommerce site for example)
            'enabled' => false,
        ],
	],
];
