<?php
declare(strict_types=1);

namespace CakeProducts\Controller;

use Cake\Core\Configure;
use Cake\Log\Log;
use Cake\ORM\Table;
use Cake\ORM\TableRegistry;
use CakeProducts\Controller\AppController;
use CheeseCake\Controller\Traits\OverrideTableTrait;
;

/**
 * ProductCategoryAttributeOptions Controller
 *
 * @property \CakeProducts\Model\Table\ProductCategoryAttributeOptionsTable $ProductCategoryAttributeOptions
 */
class ProductCategoryAttributeOptionsController extends AppController
{
    use OverrideTableTrait;

    /**
     * @return void
     */
    public function initialize(): void
    {
        parent::initialize(); // TODO: Change the autogenerated stub
//        $this->_defaultTable = 'CakeProducts.ProductCategoryAttributeOptions';
//        $this->_tableConfigKey = 'CakeProducts.ProductCategoryAttributeOptions.table';
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null|void Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        Log::debug('inside product category attribute options controller add');

        $productCategoryAttributeOption = $this->getTable()->newEmptyEntity();
        $this->set(compact('productCategoryAttributeOption'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Product Category Attribute Option id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $productCategoryAttributeOptionsTable = $this->getTable();

        $productCategoryAttributeOption = $productCategoryAttributeOptionsTable->get($id);
        if ($productCategoryAttributeOptionsTable->delete($productCategoryAttributeOption)) {
            $this->Flash->success(__('The product category attribute option has been deleted.'));
        } else {
            $this->Flash->error(__('The product category attribute option could not be deleted. Please, try again.'));
        }

        return $this->redirect(['controller' => 'ProductCategoryAttributes', 'action' => 'view', $productCategoryAttributeOption->product_category_attribute_id]);
    }
}
