<?php
declare(strict_types=1);

namespace CakeProducts\Model\Entity;

use Cake\ORM\Entity;

/**
 * ProductCategory Entity
 *
 * @property int $id
 * @property string $internal_id
 * @property string $product_catalog_id
 * @property string $name
 * @property string|null $category_description
 * @property int|null $parent_id
 * @property int $lft
 * @property int $rght
 * @property bool $enabled
 *
 * @property \CakeProducts\Model\Entity\ProductCatalog $product_catalog
 * @property \CakeProducts\Model\Entity\ParentProductCategory $parent_product_category
 * @property \CakeProducts\Model\Entity\ChildProductCategory[] $child_product_categories
 */
class ProductCategory extends Entity
{
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array<string, bool>
     */
    protected array $_accessible = [
        'product_catalog_id' => true,
        'internal_id' => true,
        'name' => true,
        'category_description' => true,
        'parent_id' => true,
        'lft' => true,
        'rght' => true,
        'enabled' => true,
        'product_catalog' => true,
        'parent_product_category' => true,
        'child_product_categories' => true,
    ];
}
