<?php
declare(strict_types=1);

namespace CakeProducts\Model\Entity;

use Cake\ORM\Entity;

/**
 * ProductCategoryAttributeOption Entity
 *
 * @property string $id
 * @property string $product_category_attribute_id
 * @property string $attribute_value
 * @property string $attribute_label
 * @property bool $enabled
 *
 * @property ProductCategoryAttribute $product_category_attribute
 */
class ProductCategoryAttributeOption extends Entity
{
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array<string, bool>
     */
    protected array $_accessible = [
        'product_category_attribute_id' => true,
        'attribute_value' => true,
        'attribute_label' => true,
        'enabled' => true,
        'product_category_attribute' => true,
    ];
}
