<?php
namespace CakeProducts\Model\Enum;

use Cake\Database\Type\EnumLabelInterface;
use Tools\Model\Enum\EnumOptionsTrait;

enum ProductProductTypeId: int implements EnumLabelInterface
{
    use EnumOptionsTrait;

    case Service = 1;
    case Product = 2;
    case Consumable = 3;

    public function label(): string
    {
        return match($this) {
            self::Service => 'Service',
            self::Product => 'Product',
            self::Consumable => 'Consumable'
        };
    }
}
