<?php
/**
 * @var \App\View\AppView $this
 * @var \Cake\Datasource\EntityInterface $externalProductCatalog
 * @var string[]|\Cake\Collection\CollectionInterface $productCatalogs
 */
?>
<div class="row">
    <aside class="column">
        <div class="side-nav">
            <h4 class="heading"><?= __('Actions') ?></h4>
            <?= $this->Form->postLink(
                __('Delete'),
                ['action' => 'delete', $externalProductCatalog->id],
                ['confirm' => __('Are you sure you want to delete # {0}?', $externalProductCatalog->id), 'class' => 'side-nav-item']
            ) ?>
            <?= $this->Html->link(__('List External Product Catalogs'), ['action' => 'index'], ['class' => 'side-nav-item']) ?>
        </div>
    </aside>
    <div class="column column-80">
        <div class="externalProductCatalogs form content">
            <?= $this->Form->create($externalProductCatalog) ?>
            <fieldset>
                <legend><?= __('Edit External Product Catalog') ?></legend>
                <?php
                    echo $this->Form->control('product_catalog_id', ['options' => $productCatalogs]);
                    echo $this->Form->control('base_url');
                    echo $this->Form->control('api_url');
                    echo $this->Form->control('enabled');
                ?>
            </fieldset>
            <?= $this->Form->button(__('Submit')) ?>
            <?= $this->Form->end() ?>
        </div>
    </div>
</div>
