<?php
/**
 * @var \App\View\AppView $this
 * @var iterable<\Cake\Datasource\EntityInterface> $productCatalogs
 */
?>
<div class="productCatalogs index content">
    <?= $this->Html->link(__('New Product Catalog'), ['action' => 'add'], ['class' => 'button float-right']) ?>
    <h3><?= __('Product Catalogs') ?></h3>
    <div class="table-responsive">
        <table>
            <thead>
                <tr>
                    <th><?= $this->Paginator->sort('name') ?></th>
                    <th><?= $this->Paginator->sort('catalog_description') ?></th>
                    <th><?= $this->Paginator->sort('enabled') ?></th>
                    <th class="actions"><?= __('Actions') ?></th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($productCatalogs as $productCatalog): ?>
                <tr>
                    <td><?= h($productCatalog->name) ?></td>
                    <td><?= h($productCatalog->catalog_description) ?></td>
                    <td><?= h($productCatalog->enabled) ?></td>
                    <td class="actions">
                        <?= $this->Html->link(__('View'), ['action' => 'view', $productCatalog->id]) ?>
                        <?= $this->Html->link(__('Edit'), ['action' => 'edit', $productCatalog->id]) ?>
                        <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $productCatalog->id], ['confirm' => __('Are you sure you want to delete # {0}?', $productCatalog->id)]) ?>
                    </td>
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </div>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(__('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')) ?></p>
    </div>
</div>
