<?php
/**
 * @var \App\View\AppView $this
 * @var \Cake\Datasource\EntityInterface $productCategory
 */
?>
<div class="row">
    <aside class="column">
        <div class="side-nav">
            <h4 class="heading"><?= __('Actions') ?></h4>
            <?= $this->Html->link(__('Edit Product Category'), ['action' => 'edit', $productCategory->id], ['class' => 'side-nav-item']) ?>
            <?= $this->Form->postLink(__('Delete Product Category'), ['action' => 'delete', $productCategory->id], ['confirm' => __('Are you sure you want to delete # {0}?', $productCategory->id), 'class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('List Product Categories'), ['action' => 'index'], ['class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('New Product Category'), ['action' => 'add'], ['class' => 'side-nav-item']) ?>
        </div>
    </aside>
    <div class="column column-80">
        <div class="productCategories view content">
            <h3><?= h($productCategory->name) ?></h3>
            <table>
                <tr>
                    <th><?= __('Product Catalog') ?></th>
                    <td><?= $productCategory->hasValue('product_catalog') ? $this->Html->link($productCategory->product_catalog->name, ['controller' => 'ProductCatalogs', 'action' => 'view', $productCategory->product_catalog->id]) : '' ?></td>
                </tr>
                <tr>
                    <th><?= __('Name') ?></th>
                    <td><?= h($productCategory->name) ?></td>
                </tr>
                <tr>
                    <th><?= __('Parent Product Category') ?></th>
                    <td><?= $productCategory->hasValue('parent_product_category') ? $this->Html->link($productCategory->parent_product_category->name, ['controller' => 'ProductCategories', 'action' => 'view', $productCategory->parent_product_category->id]) : '' ?></td>
                </tr>
                <tr>
                    <th><?= __('Enabled') ?></th>
                    <td><?= $productCategory->enabled ? __('Yes') : __('No'); ?></td>
                </tr>
            </table>
            <div class="text">
                <strong><?= __('Category Description') ?></strong>
                <blockquote>
                    <?= $this->Text->autoParagraph(h($productCategory->category_description)); ?>
                </blockquote>
            </div>
            <div class="related">
                <h4><?= __('Related Product Categories') ?></h4>
                <?php if (!empty($productCategory->child_product_categories)) : ?>
                <div class="table-responsive">
                    <table>
                        <tr>
                            <th><?= __('Name') ?></th>
                            <th><?= __('Category Description') ?></th>
                            <th><?= __('Enabled') ?></th>
                            <th class="actions"><?= __('Actions') ?></th>
                        </tr>
                        <?php foreach ($productCategory->child_product_categories as $childProductCategories) : ?>
                        <tr>
                            <td><?= h($childProductCategories->name) ?></td>
                            <td><?= h($childProductCategories->category_description) ?></td>
                            <td><?= h($childProductCategories->enabled) ?></td>
                            <td class="actions">
                                <?= $this->Html->link(__('View'), ['controller' => 'ProductCategories', 'action' => 'view', $childProductCategories->id]) ?>
                                <?= $this->Html->link(__('Edit'), ['controller' => 'ProductCategories', 'action' => 'edit', $childProductCategories->id]) ?>
                                <?= $this->Form->postLink(__('Delete'), ['controller' => 'ProductCategories', 'action' => 'delete', $childProductCategories->id], ['confirm' => __('Are you sure you want to delete # {0}?', $childProductCategories->id)]) ?>
                            </td>
                        </tr>
                        <?php endforeach; ?>
                    </table>
                </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>
