<?php
/**
 * @var \App\View\AppView $this
 * @var \Cake\Datasource\EntityInterface $productCategoryAttribute
 * @var string[]|\Cake\Collection\CollectionInterface $productCategories
 */
?>
<div class="row">
    <aside class="column">
        <div class="side-nav">
            <h4 class="heading"><?= __('Actions') ?></h4>
            <?= $this->Form->postLink(
                __('Delete'),
                ['action' => 'delete', $productCategoryAttribute->id],
                ['confirm' => __('Are you sure you want to delete # {0}?', $productCategoryAttribute->id), 'class' => 'side-nav-item']
            ) ?>
            <?= $this->Html->link(__('List Product Category Attributes'), ['action' => 'index'], ['class' => 'side-nav-item']) ?>
        </div>
    </aside>
    <div class="column column-80">
        <div class="productCategoryAttributes form content">
            <?= $this->Form->create($productCategoryAttribute) ?>
                <fieldset>
                    <legend><?= __('Edit Product Category Attribute') ?></legend>
                    <?= $this->element('ProductCategoryAttributes/form'); ?>
                </fieldset>
            <?= $this->Form->button(__('Submit')) ?>
            <?= $this->Form->end() ?>
        </div>
    </div>
</div>
<?= $this->Html->script('CakeProducts.product_category_attribute_options.js'); ?>
