<?php
/**
 * @var \App\View\AppView $this
 * @var iterable<\Cake\Datasource\EntityInterface> $productCategoryAttributes
 */
?>
<div class="productCategoryAttributes index content">
    <?= $this->Html->link(__('New Product Category Attribute'), ['action' => 'add'], ['class' => 'button float-right']) ?>
    <h3><?= __('Product Category Attributes') ?></h3>
    <div class="table-responsive">
        <table>
            <thead>
                <tr>
                    <th><?= $this->Paginator->sort('name') ?></th>
                    <th><?= $this->Paginator->sort('product_category_id') ?></th>
                    <th><?= $this->Paginator->sort('attribute_type_id') ?></th>
                    <th><?= $this->Paginator->sort('enabled') ?></th>
                    <th class="actions"><?= __('Actions') ?></th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($productCategoryAttributes as $productCategoryAttribute): ?>
                <tr>
                    <td><?= h($productCategoryAttribute->name) ?></td>
                    <td><?= $productCategoryAttribute->hasValue('product_category') ? $this->Html->link($productCategoryAttribute->product_category->name, ['controller' => 'ProductCategories', 'action' => 'view', $productCategoryAttribute->product_category->id]) : '' ?></td>
                    <td><?= $productCategoryAttribute->attribute_type_id->name ?></td>
                    <td><?= h($productCategoryAttribute->enabled) ?></td>
                    <td class="actions">
                        <?= $this->Html->link(__('View'), ['action' => 'view', $productCategoryAttribute->id]) ?>
                        <?= $this->Html->link(__('Edit'), ['action' => 'edit', $productCategoryAttribute->id]) ?>
                        <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $productCategoryAttribute->id], ['confirm' => __('Are you sure you want to delete # {0}?', $productCategoryAttribute->id)]) ?>
                    </td>
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </div>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(__('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')) ?></p>
    </div>
</div>
