<?php
/**
 * @var \App\View\AppView $this
 * @var \Cake\Datasource\EntityInterface $productCategoryAttribute
 * @var \Cake\Collection\CollectionInterface|string[] $productCategories
 */

$numOptions = !$productCategoryAttribute->hasValue('product_category_attribute_options') || empty($productCategoryAttribute->product_category_attribute_options) ? 0 : count($productCategoryAttribute->product_category_attribute_options);
$cnt = 0;
$prefix = $prefix ?? '';
?>
<?php
    echo $this->Form->control('name');
    echo $this->Form->control('product_category_id', ['options' => $productCategories, 'empty' => true]);
    echo $this->Form->control('attribute_type_id');
    echo $this->Form->control('enabled');
?>
<legend><?= __('Attribute Options') . '<small class="ms-2">' . $this->Html->link('Add Option', '#', [
        'id' => 'add-option-button',
    ]) . '</small>'; ?></legend>
<?= $this->Form->number('prefix', [
    'value' => $numOptions - 1,
    'id' => 'attribute_options_prefix',
    'style' => 'display:none;',
    'hx-get' => $this->Url->build([
        'plugin' => 'CakeProducts',
        'controller' => 'ProductCategoryAttributeOptions',
        'action' => 'add',
    ]),
    'hx-trigger' => 'change',
    'hx-target' => '#attribute-options-container',
    'hx-swap' => 'beforeend',
    'data-test' => 1,
]); ?>

<div id="attribute-options-container" class="container">
    <?php if ($productCategoryAttribute->hasValue('product_category_attribute_options')) : ?>
        <?php
        foreach ($productCategoryAttribute->product_category_attribute_options as $attributeOption) {
            $prefix = 'product_category_attribute_options.' . $cnt . '.';
            echo '<hr class="my-2">';
            echo $this->element('CakeProducts.ProductCategoryAttributes/product_category_attribute_option_form', [
                'attributeOption' => $attributeOption,
                'prefix' => $prefix,
            ]);
            $cnt++;
        } ?>
    <?php endif; ?>
</div>
