<?php
declare(strict_types=1);

namespace CakeProducts\Test\TestCase\Model\Table;

use Cake\TestSuite\TestCase;
use CakeProducts\Model\Table\ProductCategoriesTable;

/**
 * CakeProducts\Model\Table\ProductCategoriesTable Test Case
 */
class ProductCategoriesTableTest extends TestCase
{
    /**
     * Test subject
     *
     * @var \CakeProducts\Model\Table\ProductCategoriesTable
     */
    protected $ProductCategories;

    /**
     * Fixtures
     *
     * @var array<string>
     */
    protected array $fixtures = [
        'plugin.CakeProducts.ProductCategories',
        'plugin.CakeProducts.ProductCatalogs',
    ];

    /**
     * setUp method
     *
     * @return void
     */
    protected function setUp(): void
    {
        parent::setUp();
        $config = $this->getTableLocator()->exists('ProductCategories') ? [] : ['className' => ProductCategoriesTable::class];
        $this->ProductCategories = $this->getTableLocator()->get('ProductCategories', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    protected function tearDown(): void
    {
        unset($this->ProductCategories);

        parent::tearDown();
    }

    /**
    * TestInitialize method
    *
    * @return void
    * @uses \CakeProducts\Model\Table\ProductCategoriesTable::initialize()
    */
    public function testInitialize(): void
    {
        // verify all associations loaded
        $expectedAssociations = [
            'ProductCatalogs',
            'ParentProductCategories',
            'ChildProductCategories',
//            'Products',
            'ProductCategoryAttributes',
        ];
        $associations = $this->ProductCategories->associations();

        $this->assertCount(count($expectedAssociations), $associations);
        foreach ($expectedAssociations as $expectedAssociation) {
            $this->assertTrue($this->ProductCategories->hasAssociation($expectedAssociation));
        }

        // verify all behaviors loaded
        $expectedBehaviors = [
            'Tree',
        ];
        $behaviors = $this->ProductCategories->behaviors();

        $this->assertCount(count($expectedBehaviors), $behaviors);
        foreach ($expectedBehaviors as $expectedBehavior) {
            $this->assertTrue($this->ProductCategories->hasBehavior($expectedBehavior));
        }
    }

    /**
    * Test validationDefault method
    *
    * @return void
    * @uses \CakeProducts\Model\Table\ProductCategoriesTable::validationDefault()
    */
    public function testValidationDefault(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
    * Test buildRules method
    *
    * @return void
    * @uses \CakeProducts\Model\Table\ProductCategoriesTable::buildRules()
    */
    public function testBuildRules(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
