<?php
declare(strict_types=1);

namespace CakeProducts\Test\TestCase\Model\Table;

use Cake\TestSuite\TestCase;
use CakeProducts\Model\Table\ProductCategoryAttributeOptionsTable;

/**
 * CakeProducts\Model\Table\ProductCategoryAttributeOptionsTable Test Case
 */
class ProductCategoryAttributeOptionsTableTest extends TestCase
{
    /**
     * Test subject
     *
     * @var ProductCategoryAttributeOptionsTable
     */
    protected $ProductCategoryAttributeOptions;

    /**
     * Fixtures
     *
     * @var array<string>
     */
    protected array $fixtures = [
        'plugin.CakeProducts.ProductCategoryAttributeOptions',
    ];

    /**
     * setUp method
     *
     * @return void
     */
    protected function setUp(): void
    {
        parent::setUp();
        $config = $this->getTableLocator()->exists('ProductCategoryAttributeOptions') ? [] : ['className' => ProductCategoryAttributeOptionsTable::class];
        $this->ProductCategoryAttributeOptions = $this->getTableLocator()->get('ProductCategoryAttributeOptions', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    protected function tearDown(): void
    {
        unset($this->ProductCategoryAttributeOptions);

        parent::tearDown();
    }

    /**
    * TestInitialize method
    *
    * @return void
    * @uses ProductCategoryAttributeOptionsTable::initialize
    */
    public function testInitialize(): void
    {
        // verify all associations loaded
        $expectedAssociations = [
            'ProductCategoryAttributes',
        ];
        $associations = $this->ProductCategoryAttributeOptions->associations();

        $this->assertCount(count($expectedAssociations), $associations);
        foreach ($expectedAssociations as $expectedAssociation) {
            $this->assertTrue($this->ProductCategoryAttributeOptions->hasAssociation($expectedAssociation));
        }

        // verify all behaviors loaded
        $expectedBehaviors = [];
        $behaviors = $this->ProductCategoryAttributeOptions->behaviors();

        $this->assertCount(count($expectedBehaviors), $behaviors);
        foreach ($expectedBehaviors as $expectedBehavior) {
            $this->assertTrue($this->ProductCategoryAttributeOptions->hasBehavior($expectedBehavior));
        }
    }

    /**
    * Test validationDefault method
    *
    * @return void
    * @uses ProductCategoryAttributeOptionsTable::validationDefault
    */
    public function testValidationDefault(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
    * Test buildRules method
    *
    * @return void
    * @uses ProductCategoryAttributeOptionsTable::buildRules
    */
    public function testBuildRules(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
