<?php
declare(strict_types=1);

namespace CakeProducts\Test\TestCase\Model\Table;

use Cake\TestSuite\TestCase;
use CakeProducts\Model\Table\ProductCategoryAttributesTable;

/**
 * CakeProducts\Model\Table\ProductCategoryAttributesTable Test Case
 */
class ProductCategoryAttributesTableTest extends TestCase
{
    /**
     * Test subject
     *
     * @var ProductCategoryAttributesTable
     */
    protected $ProductCategoryAttributes;

    /**
     * Fixtures
     *
     * @var array<string>
     */
    protected array $fixtures = [
        'plugin.CakeProducts.ProductCategoryAttributes',
        'plugin.CakeProducts.ProductCategoryAttributeOptions',
        'plugin.CakeProducts.ProductCategories',
    ];

    /**
     * setUp method
     *
     * @return void
     */
    protected function setUp(): void
    {
        parent::setUp();
        $config = $this->getTableLocator()->exists('ProductCategoryAttributes') ? [] : ['className' => ProductCategoryAttributesTable::class];
        $this->ProductCategoryAttributes = $this->getTableLocator()->get('ProductCategoryAttributes', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    protected function tearDown(): void
    {
        unset($this->ProductCategoryAttributes);

        parent::tearDown();
    }

    /**
    * TestInitialize method
    *
    * @return void
    * @uses ProductCategoryAttributesTable::initialize
    */
    public function testInitialize(): void
    {
        // verify all associations loaded
        $expectedAssociations = [
            'ProductCategories',
            'ProductCategoryAttributeOptions',
        ];
        $associations = $this->ProductCategoryAttributes->associations();

        $this->assertCount(count($expectedAssociations), $associations);
        foreach ($expectedAssociations as $expectedAssociation) {
            $this->assertTrue($this->ProductCategoryAttributes->hasAssociation($expectedAssociation));
        }

        // verify all behaviors loaded
        $expectedBehaviors = [];
        $behaviors = $this->ProductCategoryAttributes->behaviors();

        $this->assertCount(count($expectedBehaviors), $behaviors);
        foreach ($expectedBehaviors as $expectedBehavior) {
            $this->assertTrue($this->ProductCategoryAttributes->hasBehavior($expectedBehavior));
        }
    }

    /**
    * Test validationDefault method
    *
    * @return void
    * @uses ProductCategoryAttributesTable::validationDefault
    */
    public function testValidationDefault(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
    * Test buildRules method
    *
    * @return void
    * @uses ProductCategoryAttributesTable::buildRules
    */
    public function testBuildRules(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
